kind: pipeline
type: docker
name: Deploiement

trigger:
  event:
    - push

steps:
  - name: code-analysis
    image: aosapps/drone-sonar-plugin
    settings: 
      sonar_host:
        from_secret: sonar_host
      sonar_token:
        from_secret: sonar_token

  - name: docker-build-and-push
    image: hub.codefirst.iut.uca.fr/clement.freville2/plugins/kaniko:latest
    settings:
       dockerfile: docker/Dockerfile
       context: .
       registry: hub.codefirst.iut.uca.fr
       mirror: registry_mirrors
       repo: hub.codefirst.iut.uca.fr/hugo.creneau/portfoliobutcreneauhugo
       username:
         from_secret: SECRET_REGISTRY_USERNAME
       password:
         from_secret: SECRET_REGISTRY_PASSWORD

  - name: deploy-container
    image: hub.codefirst.iut.uca.fr/thomas.bellembois/codefirst-dockerproxy-clientdrone:latest
    environment:
        IMAGENAME: hub.codefirst.iut.uca.fr/hugo.creneau/portfoliobutcreneauhugo:latest
        CONTAINERNAME: portfoliobutcreneauhugo
        COMMAND: create
        OVERWRITE: true
